package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.service.IAppTouristService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "用户")
@RestController
@RequestMapping("/applet/user")
public class AppletUser extends BaseController {

    @Autowired
    private IAppTouristService appTouristService;

    @ApiOperation("游客模式")
    @GetMapping("/touristOne")
    public AjaxResult getTouristOne(){
        return AjaxResult.success(appTouristService.getAppTouristLimitOne());
    }
}
